* { padding: 0; margin: 0; overflow-x: hidden; font-family:Segoe UI,Helvetica,sans-serif;}
a{text-decoration: none; color: #ffffff;}


#cont-txt-form{
    width: 100vw;
    height: 100vh;
    color: rgb(31, 31, 31);
    z-index: 1;
    font-size: 2vw;
}
#barra {
    width: 85%;
    height: 55%;
    margin: auto;
    margin-top: 10%;
    border-radius: 15px;
    background: #2c275c96;
    color: white;
}
.barra-div {
    width: 50%;
    height: 100%;
    float: left;
    /* background: blue; */
    padding: 5% 5%;
    box-sizing: border-box;
    text-align: left;
    font-size: .7em;
}
.barra-div span {
    width: 20%;
    padding: 3%;
    cursor: pointer;
    border-radius: 10px;
    letter-spacing: 1%;
    color: rgb(255, 255, 255);
    background: #3e3153;
    display: flex;
    margin-top: 10%;
    transition: .2s;
}
.barra-div span:hover {
    background:#96826c;
    transform: translateX(5%);
}
/* .barra-div#singup{background: blueviolet;} */
.barra-div#singup span:hover {transform: translateX(-5%);}
#cont-form{
    width: 35vw;
    height: 80vh;
    padding: 2% 5%;
    position: absolute;
    top: 8%;
    left: 10%;
    box-sizing: border-box;
    text-align: center;
    font-size: 1vw;
    background: rgba(0, 0, 0, 0) linear-gradient(209.19deg, rgb(132, 79, 252) 13.57%, rgb(73, 30, 184) 98.35%) repeat scroll 0% 0%;
    border-radius: 10%;
    z-index: 2;
    color: white;
}
#cont-form #logo{
    width: 100%;
    color: white;
    font-size: 2em;
}
form{
    width: 80%;
    height: 90%;
    margin: auto;
    padding: 1%;
    font-size: .5vw;
    /* background: white; */
}
/*Al parecer la pseudoclase :not() utlizando el selector type="submit" no funciona
form input:not(input[type="submit"]) -> no funciona
en Chrome y Edge, en cambio, funciona si se establece directamente: */
form input:not([type="submit"]) {
    width: 100%;
    height: 6%;
    padding: 0 6%;
    box-sizing: border-box;
    border-radius: 15px;
    border: none;
    margin-bottom: 5%;
    background: rgba(255, 255, 255, 0.301);
    transition: .3s;
}
form input[type='submit'], form input[type='reset']{
    width: 40%;
    height: auto;
    margin-top: 5%;
    padding: 3%;
    border: none;
    border-radius: 5px;
    color: rgb(255, 255, 255);
    background: #3e3153;
    font-size: 2.5em;
    cursor: pointer;
    transition: .2s;
}
form input[type='submit']:hover {
    background:#96826c;
    transform: translateY(5%);
} 
form input:not(input[type='submit']):focus {
    background: #3e3153;
    color: white;
    border: none;
}
form p{font-size: 1.5em;}
form label{
    text-align: left;
    font-size: 1.7em;
    margin-bottom: 1%;
    transition: .2s;
}
#regresar {
    padding: .1vw;
    background: white;
    position: absolute;
    top: 2%;
    left: 2%;
    color: black;
    opacity: .7;
    border-radius: 15px;
    transition: .2s;
}
#regresar:hover{
    opacity: 1;
}
